# Redux Resource

A tiny but powerful system for managing 'resources': data that is persisted to
remote servers.

✓ Removes nearly all "boilerplate" code for remotely-stored data  
✓ Tracks the status (pending, failed, success, etc.) of _every_ request  
✓ Encourages [normalized state](http://redux.js.org/docs/recipes/reducers/NormalizingStateShape.html)  
✓ Works well with APIs that adhere to standardized formats, such as JSON API  
✓ Works well with APIs that don't adhere to standardized formats, too  
✓ Integrates well with lots of technologies: HTTP, gRPC, normalizr, redux-observable, redux-saga, and more  
✓ Microscopic file size (2kb gzipped!)

### Installation

To install the latest version:

```
npm install --save redux-resource
```

### Documentation

View the documentation at
**[redux-resource.js.org ⇗](https://redux-resource.js.org/)**.
