'use strict';

exports.__esModule = true;
exports.createSucceed = exports.createIdle = exports.createFail = exports.create = undefined;

var _reducerGenerator = require('../utils/reducer-generator');

var _reducerGenerator2 = _interopRequireDefault(_reducerGenerator);

var _cruReducerHelper = require('../utils/cru-reducer-helper');

var _cruReducerHelper2 = _interopRequireDefault(_cruReducerHelper);

var _requestStatuses = require('../utils/request-statuses');

var _requestStatuses2 = _interopRequireDefault(_requestStatuses);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const create = (0, _reducerGenerator2.default)('create', _requestStatuses2.default.PENDING);
const createFail = (0, _reducerGenerator2.default)('create', _requestStatuses2.default.FAILED);
const createIdle = (0, _reducerGenerator2.default)('create', _requestStatuses2.default.IDLE);

function createSucceed(state, action, options) {
  return (0, _cruReducerHelper2.default)(state, action, options, {
    readStatus: _requestStatuses2.default.SUCCEEDED,
    createStatus: _requestStatuses2.default.SUCCEEDED
  });
}

exports.create = create;
exports.createFail = createFail;
exports.createIdle = createIdle;
exports.createSucceed = createSucceed;